# Risk of Chaos

Every minute, a random effect happens. Multiplayer compatible! Every player needs to have the mod installed.

Heavily inspired by the "Chaos Mod" series of GTA games.

Currently features 92 different effects.

### Twitch Integration:

Twitch integration allows viewers to vote for the next effect.

To set up Twitch voting, set the General->Streamer Integration->Voting Mode config to "Twitch", then open the console, and use the command "roc_twitch_login" then provide your channel name and oauth token (ex. "roc_twitch_login goorakh oauth:yourtokengoeshere"). Note: Login info is saved between game restarts, but you will have to re-enter it after updating the mod.
If the game loses connection to your channel, it will automatically attempt to reconnect, if this doesn't work however, you can manually make it reconnect in the Streamer Integration options menu by pressing the Reconnect button

<details>
	<summary>Full list of effects</summary>

* Nothing: Does absolutely nothing
* Spawn Random Portal Orb: Spawns a random portal orb on the stage teleporter
* Enable Random Artifact: Enables a random artifact. Lasts until end of stage.
* Add Mountain Shrine: Adds a number of mountain shrines to the teleporter event, number of shrines added can be configured (default is 2)
* Activate Teleporter: Forcefully activates the stage teleporter
* Give Random Item: Gives all players a random item
* One Hit KO: Sets everything on the stage to 1 HP
* Freeze!: Freezes every character on the stage for 4 seconds
* Payday: Gives all players an amount of money equivalent to 4 large chests. (Amount can be configured)
* Increase Monster Spawns: Increases monster director credits for the rest of the current stage (+50% by default, configurable)
* Sequence All Players: Activates a shrine of order on all players
* Spawn Scavenger Bag: Spawns a scavenger bag near a random player
* Drop All Items: Drops all characters' items and equipment on the ground
* Meteor Shower: Activates the glowing meteorite equipment
* Randomize Loadout: Randomizes all player's loadouts (skills and skins)
* You and a super intelligent Lemurian...: Spawns an invincible Lemurian in a random location on the map with an infinite damage stat (instantly die if you touch it)
* Mitosis: Duplicates every character on the map
* Scrap Random Item: Turns a random scrappable item in every players inventory into the corresponding scrap
* Increase Gravity: Increases gravity by a configurable amount (default +50%), lasts until the end of the current stage
* Decrease Gravity: Decreases gravity by a configurable amount (default -50%), lasts until the end of the current stage
* Give Random Elite Aspect: Gives all players a random elite aspect (drops on the ground if they don't have any empty equipment slots)
* Corrupt Random Item: Converts a random item in every player's inventory to the void variant
* Spawn Doppelganger: Triggers the Artifact of Vengeance event
* Potrolling: Spawns a bunch of nice pots for you to roll
* Wet Floor: Every surface is slippery. Lasts until end of current stage
* Increase Chest Prices: Increases the cost of all interactables by a configurable amount (default +25%)
* Decrease Chest Prices: Decreases the cost of all interactables by a configurable amount (default -25%)
* Spawn Void Implosion: Spawns a random void implosion on every player
* Launch Everyone in Random Directions: Launches all characters in a random direction with a random force
* Touch Void: Makes every non-player on the stage into a voidtouched elite (including allies)
* Duplicate Random Item Stack: Duplicates a random item stack for every player
* Teleport to Random Location: Teleports every player to a random location on the current stage
* Activate Random Equipment: Activates a random activatable equipment on all players
* Change Difficulty: Sets the current difficulty to a random one for the rest of the run
* Combo: Activates 2 other random effects
* Gambling Addiction: Replaces every source of loot on the map with a chance shrine
* Give Tonic Affliction: Gives all players one Tonic Affliction
* Spawn Random Boss: Spawns a random boss
* Max All Cooldowns: Sets all skill and equipment cooldowns to their maximum value (as if you just used them)
* Teleporting Attacks: Teleports the attacker to where their attacks impact
* Uncorrupt Random Item: Converts all of a random item into its non-void variant
* Poverty: Sets all players' money to 0
* +5 Minutes: Adds 5 minutes to the run timer
* Trigger Random Family Event: Activates a random family event for the rest of the current stage
* Spawn Random Beacon: Spawns a random captain beacon on every player
* Orbital Bombardment: Spawns Diablo Strikes all over the map
* Benthic Transform Random Item: Upgrades the tier of 1 random item
* Kill All (Non-Boss) Enemies: Kills all non-boss enemies on the map
* Random Gravity Direction: Changes the direction of gravity
* Disable Random Skill: Disables a random skill slot (Lasts 1 stage)
* Ahoy!: Spawns 3 equipment drones with a Consumed Trophy Hunter's Tricorn
* Increase Knockback: Multiplies all knockback by 3 (configurable), lasts 1 stage
* Add Random Item to Monster Inventory: Permanently adds a random item to all enemies
* Spawn Void Seed: Spawns a void seed somewhere on the map
* All Items Are Void Potentials: All dropped items become Void Potentials. The original item is always guaranteed to be an option to prevent potential softlocks. Lasts 1 stage
* All Skills are Agile: Allows every skill to be used while sprinting. Lasts 1 stage
* Give Everyone a Random Buff: Gives every character on the map a random buff for the rest of the current stage.
* Give Everyone a Random Debuff: Gives every character on the map a random debuff for the rest of the current stage.
* Moon Detonation: Starts the moon escape sequence. Lasts 45 seconds (configurable)
* Spawn Random Interactable: Spawns a random interactable at every player
* Spawn Random Portal: Spawns a random portal at a random player
* Increase Proc Coefficients: Multiplies all proc coefficients by 2 (configurable)
* Guaranteed Chance Effects: All percent-chance effects are guaranteed to happen (effectively infinite luck stat on everything), lasts 1 stage
* Increase Projectile Speed: Increases the speed of all projectiles, lasts 1 stage (+50% by default, configurable)
* Decrease Projectile Speed: Decreases the speed of all projectiles, lasts 1 stage (-50% by default, configurable)
* Increase World Speed: Increases the game speed, but compensates all players to be slower, gives the illusion of everything else being faster, lasts 1 stage (+50% by default, configurable)
* Decrease World Speed: Decreases the game speed, but compensates all players to be faster, gives the illusion of everything else being slower, lasts 1 stage (-50% by default, configurable)
* Blood Money: All interactable prices are converted into percent health cost, lasts 1 stage
* Force Activate Random Skill: Forces a random skill to constantly activate, lasts 1 stage
* Spawn Random Enemy: Spawns a random enemy for every player
* Spawn Random Ally: Spawns a random ally for every player
* Steal All Player Items: Steals all items from every player and distributes them among enemies, damage the enemy that took items to gain them back (leaving the stage will also give all the items back)
* Reinforcements: Spawns allied survivors in drop pods around the map.
* Bouncy Projectiles: All projectiles and bullets bounce on the surface they hit. Lasts 1 stage.
* Eradicate Random Item: Permanently removes a random item from the game for the rest of the run
* Reset Player Level: Sets all players' level to 0
* -5 Minutes: Decreases the run timer by 5 minutes
* Invert Knockback: Reverses the direction of all knockback applied to characters
* +100% Fall Damage: Increases fall damage by 100% (configurable). Also makes it lethal. Lasts 1 stage.
* Disable Fall Damage: Disables all fall damage. Lasts 1 stage.
* Risk of Thunder: Spawns lightning strikes at random points on the map. Lasts 30 seconds.
* Spawn Jump Pad: Spawns a random jump pad at every player
* Superhot: Time moves when players move
* Laggy Physics: Randomly pauses physics calculations
* Gupscare: Spawns a Gup above every player
* Roll Credits: Starts the game credits
* Aspect Roulette: Randomly switches the elite aspect of all characters (only affects players if they already have an aspect equipment)
* Unscrap Random Item: Converts a random stack of scrap into a random item of the same tier
* Disable Procs: Disables all proc effects. Lasts 45 seconds
* Item Magnet: All pickups move towards players. Lasts 90 seconds
* Item Repulsor: All pickups move away from players. Lasts 90 seconds
* Kill All Player Allies: Kills all player allies
</details>

FAQ:

Q: The icon looks like shit<br/>
A: That's not a question

If you have any feedback or bug reports, please open a [GitHub issue](https://github.com/Goorakh/RiskOfChaos/issues/new)